Subject: bug#58951: [PATCH] ; Fix handling of 'not' by 'buffer-match-p'

From: Dmitry Gutov <[email-masked]>
Date: Wed, 2 Nov 2022 00:29:36 +0200

On 02.11.2022 00:18, Philip Kaludercic wrote:
> Dmitry Gutov<[email-masked]>  writes:
> 
>> On 01.11.2022 21:36, Philip Kaludercic wrote:
>>> I believe this is preferable to fixing `show-paren-predicate', as this
>>> is the kind of issue a lot of people could trip over.
>>> This patch is based on the patch from bug#58950, but can be
>>> back-ported
>>> to the previous implementations if there are any issues with that report.
>> I do agree that (not foo) is more convenient than (not . foo). Though
>> the latter would be more regular compared to the rest of the syntax. I
>> made just that mistake yesterday.
>>
>> Let's change 'pcase' to 'pcase-exhaustive', though? So it will signal
>> an error on invalid syntax.
> Right, that is what I did in bug#58950 and what led me to notice the mistake.

Oh, sorry. I didn't review that patch in detail yet.

LGTM then.